​
Select Service
ves-io-schema-views-aws_tgw_site-API-List
Published April 5, 2023 | Last modified June 15, 2026
Examples of listing aws_tgw_site
Usecase:
List all aws_tgw_sites in current namespace
Request using vesctl:
vesctl configuration list aws_tgw_site --namespace system
vesctl yaml response:
errors: []items:- annotations: {} labels: {} name: tgw-site-1 namespace: system statusSet: [] tenant: acmecorp uid: 50d92403-4dd3-4abe-a7d6-38cb0efda975- annotations: {} labels: {} name: tgw-site-2 namespace: system statusSet: [] tenant: acmecorp uid: 17b2b59f-b47c-4e5c-9846-1ec5ae06c784- annotations: {} labels: {} name: tgw-site-3 namespace: system statusSet: [] tenant: acmecorp uid: 879b6210-3445-4b83-aec7-849e6c13aa8b- annotations: {} labels: {} name: tgw-site-4 namespace: system statusSet: [] tenant: acmecorp uid: 5695f15f-990f-4cb7-a7a5-3fd2acd19b00Request using curl:
curl -X 'GET' -H 'X-Volterra-Useragent: v1/pgm=_var_folders_q2_3kp8z3zs0x5_m7pk1bgb0_ph0000gp_T_go-build1414723615_b001_apidocs.test/host=MTY6VVHQPH/svc=S:examplesvc/site=mytestce01' 'https://acmecorp.console.ves.volterra.io/api/config/namespaces/system/aws_tgw_sites'curl response
HTTP/1.1 200 OKContent-Type: application/jsonDate: Mon, 13 Apr 2026 02:01:50 GMTVary: Accept-EncodingX-Volterra-Response-Fields-Deprecated: items.#.status_set.#.resource_share_status.creation_time,items.#.status_set.#.resource_share_status.invitation_status,items.#.status_set.#.resource_share_status.last_updated_time,items.#.status_set.#.resource_share_status.resource_share_invitation_arn,items.#.status_set.#.tgw.tgw_creation_time
{ "items": [ { "tenant": "acmecorp", "namespace": "system", "name": "tgw-site-1", "uid": "50d92403-4dd3-4abe-a7d6-38cb0efda975", "description": "", "disabled": false, "labels": { }, "annotations": { }, "owner_view": null, "metadata": null, "system_metadata": null, "get_spec": null, "status_set": [ ] }, { "tenant": "acmecorp", "namespace": "system", "name": "tgw-site-2", "uid": "17b2b59f-b47c-4e5c-9846-1ec5ae06c784", "description": "", "disabled": false, "labels": { }, "annotations": { }, "owner_view": null, "metadata": null, "system_metadata": null, "get_spec": null, "status_set": [ ] }, { "tenant": "acmecorp", "namespace": "system", "name": "tgw-site-3", "uid": "879b6210-3445-4b83-aec7-849e6c13aa8b", "description": "", "disabled": false, "labels": { }, "annotations": { }, "owner_view": null, "metadata": null, "system_metadata": null, "get_spec": null, "status_set": [ ] }, { "tenant": "acmecorp", "namespace": "system", "name": "tgw-site-4", "uid": "5695f15f-990f-4cb7-a7a5-3fd2acd19b00", "description": "", "disabled": false, "labels": { }, "annotations": { }, "owner_view": null, "metadata": null, "system_metadata": null, "get_spec": null, "status_set": [ ] } ], "errors": [ ]}